//
// Created by lukas on 06.03.21.
//

#ifndef LEDSTRIPINTERFACE_TYPES_H
#define LEDSTRIPINTERFACE_TYPES_H

#include "Arduino.h"

struct types {
  static const std::vector<uint8_t>
      es, ist, fuenf,
      zehn, zwanzig, drei,
      viertel, dreiviertel, vor,
      nach, halb, zwoelf,
      sieben, ein, eins,
      vier, acht, sechs,
      zwei, fuenf2, elf,
      zehn2, neun, drei2,
      ein2, uhr;

  /**
   * convert an x/y coordinate into the corresponding strip index value
   * @param x x axis value
   * @param y y axis value
   * @return strip led index (zero beginning)
   */
  static uint8_t convert(uint8_t x, uint8_t y);

  /**
   * calculate all pixels within a pixelrange for a word
   * @param x x axis value
   * @param y y axis value
   * @param nrPixels number of pixels the word contains
   * @return array of strip indexes
   */
  static std::vector<uint8_t> calcPixels(uint8_t x, uint8_t y, uint8_t nrPixels);
};

#endif  // LEDSTRIPINTERFACE_TYPES_H
