#include <ESP8266React.h>
#include "ClockService.h"
#include "InformationService.h"

#define SERIAL_BAUD_RATE 115200

// version info
#define VERSION "v0.1.0"

AsyncWebServer server(80);
ESP8266React esp8266React(&server);

//ClockService cservice = ClockService(&server, esp8266React.getSecurityManager());
InformationService iservice = InformationService(&server, esp8266React.getSecurityManager());

void setup() {
  // start serial and filesystem
  Serial.begin(SERIAL_BAUD_RATE);
  Serial.printf("Starting WordClock %s\n", VERSION);

  // start the framework and demo project
  esp8266React.begin();

  // load the initial light settings
//  cservice.begin();

  iservice.begin();

  // start the server
  server.begin();
}

void loop() {
  // run the framework's loop function
  esp8266React.loop();
}
